Bug 873707 - CVE-2012-5885 CVE-2012-5886 CVE-2012-5587 CVE-2012-2733 tomcat various flaws [fedora-16]
CVE-2012-5885 CVE-2012-5886 CVE-2012-5587 CVE-2012-2733 tomcat various flaws ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-5885/CVE-2012-5886/CVE-2012-5887 CVE-2012-2733
  Show dependency treegraph
 
Reported: 2012-11-06 09:22 EST by Jan Lieskovsky
Modified: 2012-12-19 03:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 03:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-06 09:22:06 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-16 tracking bug for tomcat: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-11-06 09:22:16 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=873664,873707
Comment 2 Jan Lieskovsky 2012-11-06 09:22:43 EST
Adding parent bug CVE-2012-2733.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=873707,873664,873695
Comment 3 Ivan Afonichev 2012-12-03 17:11:11 EST
If we update tomcat version for Fedora 16, tomcat-native package also should be updated (see https://bugzilla.redhat.com/show_bug.cgi?id=847900 )
Should we update tomcat?
Comment 4 Fedora Update System 2012-12-09 16:59:43 EST
tomcat-7.0.33-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tomcat-7.0.33-1.fc16
Comment 5 Fedora Update System 2012-12-11 04:19:51 EST
Package tomcat-7.0.33-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcat-7.0.33-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20151/tomcat-7.0.33-1.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-19 03:27:01 EST
tomcat-7.0.33-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.